Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.ui
[Groovy] Class GroovyFileFilter

    java.lang.Object
      javax.swing.filechooser.FileFilter
          groovy.ui.GroovyFileFilter

    class GroovyFileFilter
    extends javax.swing.filechooser.FileFilter

Method Summary
`boolean` | `accept(java.io.File f)`
`java.lang.String` | `getDescription()`
`static java.lang.String` | `getExtension(java.lang.Object f)`

Methods inherited from class javax.swing.filechooser.FileFilter
javax.swing.filechooser.FileFilter#accept(java.io.File), javax.swing.filechooser.FileFilter#getDescription(), javax.swing.filechooser.FileFilter#wait(long), javax.swing.filechooser.FileFilter#wait(long, int), javax.swing.filechooser.FileFilter#wait(), javax.swing.filechooser.FileFilter#equals(java.lang.Object), javax.swing.filechooser.FileFilter#toString(), javax.swing.filechooser.FileFilter#hashCode(), javax.swing.filechooser.FileFilter#getClass(), javax.swing.filechooser.FileFilter#notify(), javax.swing.filechooser.FileFilter#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### accept

    boolean accept(java.io.File f)

### getDescription

    java.lang.String getDescription()

### getExtension

    static java.lang.String getExtension(java.lang.Object f)

Groovy Documentation